package nl.voidcorp.discord.command

import net.dv8tion.jda.api.MessageBuilder
import net.dv8tion.jda.api.entities.Member
import net.dv8tion.jda.api.entities.Message
import net.dv8tion.jda.api.entities.MessageEmbed
import net.dv8tion.jda.api.entities.User
import net.dv8tion.jda.api.events.message.MessageReceivedEvent

data class CommandMessage(
    private val event: MessageReceivedEvent,
    val params: List<String>,
    val message: Message = event.message,
    val user: User = event.author,
    val member: Member? = event.member
) {
    fun reply(message: Message) = event.channel.sendMessage(message).queue()


    fun reply(message: String) = reply(MessageBuilder(message).build())

    fun reply(messageEmbed: MessageEmbed) = event.channel.sendMessage(messageEmbed).queue()

}